Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eAddressType
    Main = 0
    Transport = 1
    Postal = 2
    Other = 3
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CustomersAddress
    Inherits BaseObject
    Private _Customers As Customers
    Private _AddressType As eAddressType
    Private _Address As Address
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("Customers-CustomersAddress", GetType(Customers)), Aggregated(), ExpandObjectMembers(ExpandObjectMembers.Never)> _
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property AddressType As eAddressType
        Get
            Return _AddressType
        End Get
        Set(value As eAddressType)
            SetPropertyValue("AddressType", _AddressType, value)
        End Set
    End Property
    Property Address As Address
        Get
            Return _Address
        End Get
        Set(value As Address)
            SetPropertyValue("Address", _Address, value)
        End Set
    End Property

End Class
